# Assembly

include:
    "../rules/assembly.smk"
include:
    "../rules/mapping.smk"

rule ASSEMBLY:
    input:
        # lr=expand(os.path.join(RESULTS_DIR, "assembly/lr/{tool}/ASSEMBLY.FILTERED.fasta"), tool=config["assemblers"]["lr"]),
        # sr=expand(os.path.join(RESULTS_DIR, "assembly/sr/{tool}/ASSEMBLY.FILTERED.fasta"), tool=config["assemblers"]["sr"]),
        # hy=expand(os.path.join(RESULTS_DIR, "assembly/hy/{tool}/ASSEMBLY.FILTERED.fasta"), tool=config["assemblers"]["hy"]),
        # hyhy=expand(os.path.join(RESULTS_DIR, "assembly/hyhy/{tool}/ASSEMBLY.FILTERED.fasta"), tool=config["assemblers"]["hyhy"]),
        expand(
            os.path.join(RESULTS_DIR, "assembly/{rtype_tool}/ASSEMBLY.FILTERED.fasta"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS],
        )
    output:
        touch("status/assembly.done")
